LINUX.ORG.RU

Кашпировские в отпуску!

warperthe (29.12.2018 22:46:41)

dpkg: невосстановимая ошибка, прекращение работы: в списке файлов пакета «cups-browsed» отсутствует завершающий символ новой строки E: Sub-process /usr/bin/dpkg returned an error code (2)

Откуда это дёрнуто?:

  • sudo apt-get install ...
  • sudo apt install ...
  • sudo dpkg -i ...

Подробности пожайлуста.

PS: Многие проблемы решает Smart Package Manager.

Deleted ()
Ответ на: комментарий от warperthe

Так бы сразу и изъяснился

Ты тугой!

Вариантов 2:

1ый вариант - удалить пакет:

$ sudo dpkg -P cups-browsed
$ sudo apt -f install

2ый вариант - ковыряться в системе. Но для этого надо знать содержимое следующей «папки»:

$ cd /var/lib/dpkg/parts
$ ls
Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от warperthe

Слушай, я тебя оскорблял?

Это не оскорбление, это констатация факта:

Ты не предоставляешь нужных сведений, без которых не будет решения твоей «проблемы».

Deleted ()
Ответ на: комментарий от Deleted

bluez-cups_5.37-0ubuntu5.1_i386.deb
cups_2.1.3-4ubuntu0.6_i386.deb
cups-browsed_1.8.3-2ubuntu3.4_i386.deb
cups-bsd_2.1.3-4ubuntu0.6_i386.deb
cups-client_2.1.3-4ubuntu0.6_i386.deb
cups-common_2.1.3-4ubuntu0.6_all.deb
cups-core-drivers_2.1.3-4ubuntu0.6_i386.deb
cups-daemon_2.1.3-4ubuntu0.6_i386.deb
cups-filters-core-drivers_1.8.3-2ubuntu3.4_i386.deb
cups-ppdc_2.1.3-4ubuntu0.6_i386.deb
cups-server-common_2.1.3-4ubuntu0.6_all.deb
libcups2_2.1.3-4ubuntu0.6_i386.deb
libcupscgi1_2.1.3-4ubuntu0.6_i386.deb
libcupsfilters1_1.8.3-2ubuntu3.4_i386.deb
libcupsimage2_2.1.3-4ubuntu0.6_i386.deb
libcupsmime1_2.1.3-4ubuntu0.6_i386.deb
libcupsppdc1_2.1.3-4ubuntu0.6_i386.deb

warperthe ()
Ответ на: комментарий от Deleted

Репозиторій 'http://ppa.launchpad.net/makson96/fglrx/ubuntu xenial Release' не містить файл Release. N: Оновлення з цього репозиторію не може бути здійснено надійно і тому він зазвичай вимкнений. N: See apt-secure(8) manpage for repository creation and user configuration details. После update

warperthe ()
Ответ на: комментарий от Deleted

Aborted (core dumped) Чтение списков пакетов… Готово E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh > /dev/null; fi' E: Sub-process returned an error code

warperthe ()